
/*
 * Web Polygraph                        http://www.web-polygraph.org/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. See the COPYRIGHT file for details.
 */

#ifndef PG_CLIENT_ANY_BODY_PARSER_H
#define PG_CLIENT_ANY_BODY_PARSER_H

#include "client/BodyParserFarm.h"
#include "client/BodyParser.h"


// ignores any content
class AnyBodyParser: public BodyParser {
	public:
		static BodyParser *GetOne(CltXact *anOwner);

	public:
		virtual BodyParserFarm &farm() const;

		virtual Size parse(const ParseBuffer &data);

	private:
		static BodyParserFarmT<AnyBodyParser> TheParsers;
};

#endif
