
/*
 * Web Polygraph                        http://www.web-polygraph.org/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. See the COPYRIGHT file for details.
 */

#ifndef PG_CONTENT_MANAGER_H
#define PG_CONTENT_MANAGER_H

#include "pgl/ContentSym.h"
#include "runtime/ConfigSymMgr.h"
#include "csm/ContentCfg.h"

class ContentCfg;
class ContentSym;

// aggregates information about content descriptions
// prevents creation of large number of identical descriptions

class ContentMgr: public ConfigSymMgr<ContentSym, ContentCfg> {
	protected:
		virtual ContentCfg *makeCfg();
};

extern ContentMgr TheContentMgr;

#endif
