
/*
 * Web Polygraph                        http://www.web-polygraph.org/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. See the COPYRIGHT file for details.
 */

#ifndef PGL_GOAL_CONFIGURATION_SYMBOL_H
#define PGL_GOAL_CONFIGURATION_SYMBOL_H

#include "xstd/Time.h"
#include "pgl/PglRecSym.h"

class BigSize;

// run goal specification
class GoalSym: public RecSym {
	public:
		static String TheType;

	public:
		GoalSym();
		GoalSym(const String &aType, PglRec *aRec);

		virtual bool isA(const String &type) const;

		Time duration() const;
		bool xactCount(int &count) const;
		bool fillSize(BigSize &sz) const;
		bool errs(double &ratio, int &count) const;

	protected:
		virtual SynSym *dupe(const String &dType) const;
};

#endif
