
/*
 * Web Polygraph                        http://www.web-polygraph.org/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. See the COPYRIGHT file for details.
 */

#include "base/polygraph.h"

#include "client/PassClt.h"

PassClt::PassClt() {
	Assert(!theThinkDistr);
}

void PassClt::wakeUp(const Alarm &a) {
	Client::wakeUp(a);
}

void PassClt::scheduleLaunch(Time) {
	// no launches -- fetching objects on demand only
}

bool PassClt::launchCanceled(CltXact *x) {
	return Client::launchCanceled(x);
}
