
/*
 * Web Polygraph                        http://www.web-polygraph.org/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. See the COPYRIGHT file for details.
 */

#ifndef PG_REPORT_TRACE_FIGURE_H
#define PG_REPORT_TRACE_FIGURE_H

#include "xstd/String.h"
#include "loganalyzers/ReportFigure.h"

// base class for all trace figures
class ReportTraceFigure: public ReportFigure {
	public:
		void globalStart(Time aStart);

	protected:
		void dumpTime(Time stamp);
		
	protected:
		Time theGlobalStart;
};

#endif
