
/*
 * Web Polygraph                        http://www.web-polygraph.org/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. See the COPYRIGHT file for details.
 */

#ifndef PG_PGL_CODE_SYMBOL_H
#define PG_PGL_CODE_SYMBOL_H

#include "xparser/ParsSym.h"

// a piece of PGL code for later execution/interpretation
class CodeSym: public ParsSym {
	public:
		static String TheType;

	public:
		CodeSym(const ParsSym &rawCode);

		virtual bool isA(const String &type) const;

		ostream &print(ostream &os, const String &pfx) const;

	protected:
		virtual SynSym *dupe(const String &) const;
};

#endif
