
/*
 * Web Polygraph                        http://www.web-polygraph.org/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. See the COPYRIGHT file for details.
 */

#ifndef XSTD_NEW_META_H
#define XSTD_NEW_META_H

#include <new>

typedef void (*xnew_handler)();

bool xset_new_handler(xnew_handler h) {
	// VC++ has deliberately broken set_new_handler
	// and a different interface for _set_new_handler
#if defined(HAVE__SET_NEW_HANDLER)
	//_set_new_handler(h);
	return false;
#elif defined(HAVE_SET_NEW_HANDLER)
	set_new_handler(h);
	return true;
#else
	return false;
#endif
}

#endif
